.product_right_image {
    float: right;
    max-width: 450px;
    width: 100%;
    margin: 0 0 10px 25px;
    text-align: center;
}

.abc {
    border: none;
}



@media (max-width: 768px) {
    .product_right_image .detail_image {
        height: 370px;
    }
}

.product_right_image .detail_image {
    width: 100%;
    text-align: center;
    overflow: hidden;
    position: relative;
    aspect-ratio: 3/3;
    /* height: 500px; */
    /* aspect-ratio: 1/1; */

    margin-bottom: 15px;
}

.product_right_image .detail_image img {
    position: absolute;
    max-width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: auto;
    max-height: 100%;
}


.product_right_image {
    float: right;
    max-width: 450px;
    width: 100%;
    margin: 0 0 25px 25px;
    text-align: center;
}


a {
    color: #7f7f7f;
    text-decoration: none;
    outline: 0;
    display: block;
}